<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="keywords" content="" />
	<meta name="description" content="" />
	
	<title><?php wp_title('|', true, 'right'); ?> <?php bloginfo('name'); ?></title>

	<!-- CSS General Styles -->
		<link rel="stylesheet" type="text/css" href="<?php bloginfo( 'stylesheet_url' ); ?>" media="all" />
		<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/colors/default.css" media="screen">
	<!-- CSS General Styles End -->
	
	
	<!-- Other CSS -->
		<link type="text/css" rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/lazymenu.css" />
		<link type="text/css" rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/portfolio.css"   />
		<link type="text/css" rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/prettyPhoto.css"  media="screen" charset="utf-8" />
		<link rel="shortcut icon" type="image/x-icon" href="<?php echo get_option('the3D_favicon'); ?>" />
	<!-- Other CSS End -->
	
	<!-- Custom Style -->
			<style>
					#logo { top:<?php echo get_option('the3D_logo_horizontal'); ?>; left:<?php echo get_option('the3D_logo_vertical'); ?>; }
			</style>
	<!-- Custom End -->
		
	<!-- jQuery Scripts  -->
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery-1.4.2.min.js" ></script>		  
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/lazymenu.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/sliding_effect.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/custom.js"></script>	
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/prettyPhoto.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/filterable.js"></script>
	<!-- jQuery Scripts End -->
		<?php wp_head(); ?>
		<?php wp_enqueue_script("jquery"); ?>
			
</head>
<body <?php body_class() ?>>


<!-- General Wrapper -->
<div id="homewrapper">
	<!-- Wrapper -->
    <div id="wrapper">
		<!-- Header -->
        <div id="header">
            <div id="logo"><a href="<?php echo home_url(); ?>/"><img src="<?php echo get_option('the3D_logo'); ?>" title="<?php echo get_option('the3D_logo_title'); ?>" /></a></div>
			<!-- Menu -->
			<?php if ( function_exists( 'wp_nav_menu' ) ){
					wp_nav_menu( array( 'theme_location' => 'main-menu', 'container_id' => 'menu', 'menu', 'active' , 'container_class' => 'lazymenu', 'fallback_cb'=>'primarymenu') );
				}else{
					primarymenu();
			}?>
            <!-- Menu End -->
			<!-- Social Links -->
			<div class="social">
				<?php get_template_part ('social') ; ?>					
			</div>	
			<!-- Social Links End -->
        </div>
        <!-- Header End -->
		
		<!-- Content -->
		<div id="content">