<?php

/*******************************
 PORTFOLIO SETTINGS
********************************/
add_action('init', 'project_custom_init');  

function project_custom_init()  
{  
}  
$labels = array(  
    'name' => 'Projects', 'post type general name',  
    'singular_name' => 'Project', 'post type singular name',  
    'add_new' => 'Add New', 'project',  
    'add_new_item' => 'Add New Project',  
    'edit_item' => 'Edit Project',  
    'new_item' => 'New Project',  
    'view_item' => 'View Project',  
    'search_items' => 'Search Projects',  
    'not_found' =>  'No projects found',  
    'not_found_in_trash' => 'No projects found in Trash',  
    'parent_item_colon' => '',  
    'menu_name' => 'Portfolio'  
);  

$args = array(  
    'labels' => $labels,  
    'public' => true,  
    'publicly_queryable' => true,  
    'show_ui' => true,  
    'show_in_menu' => true,  
    'query_var' => true,  
    'rewrite' => true,  
    'capability_type' => 'post',  
    'has_archive' => true,  
    'hierarchical' => false,  
    'menu_position' => null,  
    'supports' => array('title','editor','author','thumbnail','excerpt','comments')  
);  

register_post_type('project',$args);  

$labels = array(  
    'name' => 'Tags', 'taxonomy general name',  
    'singular_name' => 'Tag', 'taxonomy singular name',  
    'search_items' =>  'Search Types',  
    'all_items' => 'All Tags',  
    'parent_item' => 'Parent Tag',  
    'parent_item_colon' => 'Parent Tag:',  
    'edit_item' => 'Edit Tags',  
    'update_item' => 'Update Tag',  
    'add_new_item' => 'Add New Tag',  
    'new_item_name' => 'New Tag Name',  
);  
 
register_taxonomy('tagportfolio',array('project'), array(  
    'hierarchical' => true,
    'labels' => $labels,  
    'show_ui' => true,  
    'query_var' => true,  
    'rewrite' => array( 'slug' => 'tag-portfolio' ),  
));

/*--- Custom Messages - project_updated_messages ---*/  
	add_filter('post_updated_messages', 'project_updated_messages');  
	function project_updated_messages( $messages ) {  
	  global $post, $post_ID;  
	  $messages['project'] = array(  
		0 => '', // Unused. Messages start at index 1.  
		1 => sprintf( __('Project updated. <a href="%s">View project</a>'), esc_url( get_permalink($post_ID) ) ),  
		2 => 'Custom field updated.',  
		3 => 'Custom field deleted.',  
		4 => 'Project updated.',  
		/* translators: %s: date and time of the revision */  
		5 => isset($_GET['revision']) ? sprintf( 'Project restored to revision from %s', wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,  
		6 => sprintf( __('Project published. <a href="%s">View project</a>'), esc_url( get_permalink($post_ID) ) ),  
		7 => 'Project saved.',  
		8 => sprintf( __('Project submitted. <a target="_blank" href="%s">Preview project</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),  
		9 => sprintf( __('Project scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview project</a>'),  
		  // translators: Publish box date format, see http://php.net/date  
		  date_i18n( 'M j, Y @ G:i', strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),  
		10 => sprintf( __('Project draft updated. <a target="_blank" href="%s">Preview project</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),  
	  );  
	  return $messages;  
	}  

/*--- URL meta box ---*/  
	add_action('admin_init','portfolio_meta_init');  
	function portfolio_meta_init()  
	{  
		// add a meta box for WordPress 'project' type  
		add_meta_box('portfolio_meta', 'portfolio_meta_setup', 'project', 'side', 'low');  
		// add a callback function to save any data a user enters in  
		add_action('save_post','portfolio_meta_save');  
	}  
	function portfolio_meta_setup()  
	{  
		global $post;  
		?>   
		<?php  
		// create for validation  
		echo '<input type="hidden" name="meta_noncename" value="' . wp_create_nonce(__FILE__) . '" />';  
	}  
	function portfolio_meta_save($post_id)  
	{  
		// check nonce  
		if (!isset($_POST['meta_noncename']) || !wp_verify_nonce($_POST['meta_noncename'], __FILE__)) {  
		return $post_id;  
		}  
		// check capabilities  
		if ('post' == $_POST['post_type']) {  
		if (!current_user_can('edit_post', $post_id)) {  
		return $post_id;  
		}  
		} elseif (!current_user_can('edit_page', $post_id)) {  
		return $post_id;  
		}  
		// exit on autosave  
		if (defined('DOING_AUTOSAVE') == DOING_AUTOSAVE) {  
		return $post_id;  
		}  
		if(isset($_POST['_url']))  
		{  
			update_post_meta($post_id, '_url', $_POST['_url']);  
		} else  
		{  
			delete_post_meta($post_id, '_url');  
		}  
	}  
/*--- URL meta box End ---*/
  
	function enqueue_filterable()  
	{  
		wp_register_script( 'filterable', get_template_directory_uri() . '/js/filterable.js', array( 'jquery' ) );  
		wp_enqueue_script( 'filterable' );  
	}  
	add_action('wp_enqueue_scripts', 'enqueue_filterable');  
?>