<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){

//Theme Shortname
$shortname = "the3d";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Select a page:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Select a category:");


//Sample Array for stylesheet
$sample_array = array("default","In the The3D Pro theme are available 12 other styles!");
$portfolio_array = array("FlyFromBottom","In the The3D Pro theme are available 8 other effects!");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/includes/panel/images/layouts/';






/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall





/* Option Page 1 - Welcome */	
$options[] = array( "name" => __('Welcome','framework_localize'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('<center><strong>Thank You for downloading our theme!</strong></center>','framework_localize'),
			"desc" => "",
			"id" => $shortname."_callout",
			"std" => "Questions or problems? You can read the documentation to find the solution... <br><br> <strong>Checkout the documentation:</strong> <center><a target='_blank' href='http://artx.paradzik-visuals.com/support/the3D.pdf'>http://artx.paradzik-visuals.com/support/the3D</a></center><br> <strong>Want more stuffs? Check The3D Pro theme!</strong> <br><br> <a target='_blank' href='http://artx.paradzik-visuals.com/'><img class='pro-image'></a> <br><br><strong>Still need help?</strong> <br> <strong>Visit</strong> our <a target='_blank' href='http://artx.paradzik-visuals.com/'>Website</a>, <a target='_blank' href='https://twitter.com/ArtX_Design'>Twitter</a> profile & <a target='_blank' href='http://www.facebook.com/ArtXDesing'>Facebook</a> fanpage for more informations about us and our other projects. Or You can <a target='blank' href='http://themeforest.net/user/ArtX_Design/follow'>subscribe</a> to or ThemeForest profile, to stay informed about new projects, ideas, etc..",
			"type" => "info");
	








			
/* Option Page 2 - General settings */
$options[] = array( "name" => __('General settings','framework_localize'),
			"type" => "heading");
			

$options[] = array( "name" => __('Your logo','framework_localize'),
			"desc" => __('Put Your logo URL into the field, or You can upload the logo. Recommended size: width 480px and height 50px. <br>You can modify Your logo in the <i>Styling</i> page.','framework_localize'),
			"id" => $shortname."_logo",
			"std" => "",
			"type" => "upload");
$options[] = array( "name" => __('','framework_localize'),
			"desc" => "Logo ALT text.",
			"id" => $shortname."_logo_title",
			"std" => "",
			"type" => "text");
			
			
$options[] = array( "name" => __('Your favicon','framework_localize'),
			"desc" => __('Put Your favicon URL into the field, or You can upload the favicon. Recommended size: width 16px and height 16px. We recommend converting the favicon into .ico format before uploading.','framework_localize'),
			"id" => $shortname."_favicon",
			"std" => "",
			"type" => "upload");

			
			
$options[] = array( "name" => __('Copyright text','framework_localize'),
			"desc" => __('Type Your copyright text into the field. You can use HTML tags for links, text styles, and etc..','framework_localize'),
			"id" => $shortname."_copyright",
			"std" => "",
			"type" => "textarea");
			
			
					
					
					
			
			

			
/* Option Page 3 - Styling */
$options[] = array( "name" => __('Styling','framework_localize'),
			"type" => "heading");
						
			
$options[] = array( "name" => __('Choose Website style','framework_localize'),
			"desc" => __('There is only 1 style available in the FREE version for Your background, links, etc..','framework_localize'),
			"id" => $shortname."_stylesheet",
			"std" => "default",
			"type" => "select",
			"options" => $sample_array);
									
			
$options[] = array( "name" => __('Choose Portfolio style','framework_localize'),
			"desc" => __('There is only 1 transition effect available for Your Portfolio in the FREE version.','framework_localize'),
			"id" => $shortname."_portfolio",
			"std" => "FlyFromBottom",
			"type" => "select",
			"options" => $portfolio_array);
			
			
$options[] = array( "name" => __('Logo horizontal position','framework_localize'),
			"desc" => "<b>Note:</b> add <i>px</i> at the end. <br>Example: <i>100px</i>",
			"id" => $shortname."_logo_horizontal",
			"std" => "",
			"type" => "text");
			
			
$options[] = array( "name" => __('Logo vertical position','framework_localize'),
			"desc" => "<b>Note:</b> add <i>%</i> at the end. <br>Example: <i>25%</i>",
			"id" => $shortname."_logo_vertical",
			"std" => "",
			"type" => "text");
			
			
			
			
				
				
				
							
/* Option Page 4 - Social settings */
$options[] = array( "name" => __('Social media','framework_localize'),
			"type" => "heading");
			
			
$options[] = array( "name" => __('<center><strong>There are 48 social icons included into the The3D Pro theme!</strong></center>','framework_localize'),
			"desc" => "",
			"id" => $shortname."_sample_callout",
			"std" => "<center>In this FREE version of the theme are only 4 social icons available. If You want to use the full & professional version of the theme, with great features and options, than please <a target='_blank' href='http://artx.paradzik-visuals.com/'>purchase it</a>. <br><br>If You don't want to use some of the networks then leave the URL fields empty.</center>",
			"type" => "info");

			
$options[] = array( "name" => __('Facebook link','framework_localize'),
			"desc" => "Type or copy/paste Your Facebook URL into the field or leave it blank.",
			"id" => $shortname."_facebook",
			"std" => "",
			"type" => "text");
$options[] = array( "name" => __('','framework_localize'),
			"desc" => "Facebook ALT text.",
			"id" => $shortname."_facebook_title",
			"std" => "",
			"type" => "text");
			

$options[] = array( "name" => __('Twitter Username','framework_localize'),
			"desc" => "Type Your Twitter username into the field or leave it blank.",
			"id" => $shortname."_twitter",
			"std" => "",
			"type" => "text");
$options[] = array( "name" => __('','framework_localize'),
			"desc" => "Twitter ALT text.",
			"id" => $shortname."_twitter_title",
			"std" => "",
			"type" => "text");	
																

$options[] = array( "name" => __('WordPress link','framework_localize'),
			"desc" => "Type or copy/paste Your WordPress URL into the field or leave it blank.",
			"id" => $shortname."_wordpress",
			"std" => "",
			"type" => "text");
$options[] = array( "name" => __('','framework_localize'),
			"desc" => "WordPress ALT text.",
			"id" => $shortname."_wordpress_title",
			"std" => "",
			"type" => "text");			
																				

$options[] = array( "name" => __('RSS link','framework_localize'),
			"desc" => "Type or copy/paste Your RSS URL into the field or leave it blank.",
			"id" => $shortname."_rss",
			"std" => "",
			"type" => "text");
$options[] = array( "name" => __('','framework_localize'),
			"desc" => "RSS ALT text.",
			"id" => $shortname."_rss_title",
			"std" => "",
			"type" => "text");			

			
			
			
update_option('of_template',$options); 		  
update_option('of_shortname',$shortname);

}
}
?>